Try ERPNext Buy Support Partners Foundation

Bench update error on V11

frappe@vmi319960:~$ cd frape-bench
-su: cd: frape-bench: No such file or directory
frappe@vmi319960:~$ cd frappe-bench
frappe@vmi319960:~/frappe-bench$ bench restart
frappe@vmi319960:~/frappe-bench$ ls
apps config env logs patches.txt Procfile sites
frappe@vmi319960:~/frappe-bench$ bench update
INFO:bench.utils:updating bench
INFO:bench.utils:git pull
Already up-to-date.
INFO:bench.utils:./env/bin/pip install Pillow
Requirement already satisfied: Pillow in ./env/lib/python3.5/site-packages (6.2. 1)
Backing up sites…
INFO:bench.app:pulling frappe
INFO:bench.utils:git pull upstream version-11
From https://github.com/frappe/frappe

  • branch version-11 -> FETCH_HEAD
    Already up-to-date.
    INFO:bench.utils:find . -name “*.pyc” -delete
    INFO:bench.app:pulling erpnext
    INFO:bench.utils:git pull upstream version-11
    From https://github.com/frappe/erpnext
  • branch version-11 -> FETCH_HEAD
    Already up-to-date.
    INFO:bench.utils:find . -name “*.pyc” -delete
    Updating Python libraries…
    INFO:bench.utils:./env/bin/pip install --upgrade pip
    Requirement already up-to-date: pip in ./env/lib/python3.5/site-packages (19.3.1 )
    INFO:bench.utils:./env/bin/pip install -q -U -r /home/frappe/.bench/requirements .txt
    INFO:bench.app:installing frappe
    INFO:bench.utils:./env/bin/pip install -q -U -e ./apps/frappe
    INFO:bench.app:installing erpnext
    INFO:bench.utils:./env/bin/pip install -q -U -e ./apps/erpnext
    Updating node packages…
    INFO:bench.utils:yarn install
    yarn install v1.19.2
    [1/4] Resolving packages…
    success Already up-to-date.
    Done in 0.69s.
    Patching sites…
    Migrating site1.local
    Updating DocTypes for frappe : [========================================]
    Updating DocTypes for erpnext : [========================================]
    Traceback (most recent call last):
    File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 484, in connect
    sock = self._connect()
    File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 541, in _connect
    raise err
    File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 529, in _connect
    sock.connect(socket_address)
    OSError: [Errno 99] Cannot assign requested address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.p y”, line 667, in execute_command
connection.send_command(*args)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 585, in send_packed_command
self.connect()
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 99 connecting to localhost:13000. Cannot assign requested address.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 484, in connect
sock = self._connect()
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 541, in _connect
raise err
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 529, in _connect
sock.connect(socket_address)
OSError: [Errno 99] Cannot assign requested address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.5/runpy.py”, line 193, in _run_module_as_main
main”, mod_spec)
File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, lin e 97, in
main()
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, lin e 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 764, in call
return self.main(*args, **kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 717, in main
rv = self.invoke(ctx)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 555, in invoke
return callback(*args, **kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/decorato rs.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 227 , in migrate
migrate(context.verbose, rebuild_website=rebuild_website)
File “/home/frappe/frappe-bench/apps/frappe/frappe/migrate.py”, line 62, in mi grate
router.sync_global_search()
File “/home/frappe/frappe-bench/apps/frappe/frappe/website/router.py”, line 35 8, in sync_global_search
sync_global_search()
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/global_search.py”, li ne 313, in sync_global_search
while frappe.cache().llen(‘global_search_queue’) > 0:
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/redis_wrapper.py”, li ne 141, in llen
return super(RedisWrapper, self).llen(self.make_key(key))
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.p y”, line 1325, in llen
return self.execute_command(‘LLEN’, name)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/client.p y”, line 673, in execute_command
connection.send_command(*args)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 585, in send_packed_command
self.connect()
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 99 connecting to localhost:13000. Cannot assign requested address.
frappe@vmi319960:~/frappe-bench$

frappe@vmi319960:~/frappe-bench$ bench restart
INFO:bench.utils:sudo supervisorctl restart frappe-bench-workers: frappe-bench-web:
frappe-bench-workers:frappe-bench-frappe-schedule: stopped
frappe-bench-workers:frappe-bench-frappe-default-worker-0: stopped
frappe-bench-workers:frappe-bench-frappe-short-worker-0: stopped
frappe-bench-workers:frappe-bench-frappe-long-worker-0: stopped
frappe-bench-web:frappe-bench-frappe-web: stopped
frappe-bench-workers:frappe-bench-frappe-schedule: started
frappe-bench-workers:frappe-bench-frappe-default-worker-0: started
frappe-bench-workers:frappe-bench-frappe-long-worker-0: started
frappe-bench-workers:frappe-bench-frappe-short-worker-0: started
frappe-bench-web:frappe-bench-frappe-web: started
frappe-bench-web:frappe-bench-node-socketio: ERROR (spawn error)

@Sanath_Udayawansa2

What is your system’s IP address? It seems to be some bind-address issue

I tried to installed in a fresh server with V11

Got me below error

fatal: [localhost]: FAILED! => {
“changed”: false,
“cmd”: [
“/usr/local/bin/pip3”,
“install”,
“pyOpenSSL==16.2.0”
],
“invocation”: {
“module_args”: {
“chdir”: null,
“editable”: false,
“executable”: null,
“extra_args”: null,
“name”: [
“pyOpenSSL”
],
“requirements”: null,
“state”: “present”,
“umask”: null,
“use_mirrors”: true,
“version”: “16.2.0”,
“virtualenv”: null,
“virtualenv_command”: “virtualenv”,
“virtualenv_python”: null,
“virtualenv_site_packages”: false
}
},
“msg”: “\n:stderr: WARNING: Retrying (Retry(total=4, connect=None, read=None , redirect=None, status=None)) after connection broken by ‘NewConnectionError(’< pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fcf4c4a9a90> : Failed to establish a new connection: [Errno -3] Temporary failure in name res olution’,)’: /simple/pyopenssl/\nWARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘NewConnecti onError(’<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fc f4c4b5a90>: Failed to establish a new connection: [Errno -3] Temporary failure i n name resolution’,)’: /simple/pyopenssl/\nWARNING: Retrying (Retry(total=2, con nect=None, read=None, redirect=None, status=None)) after connection broken by ‘N ewConnectionError(’<pip._vendor.urllib3.connection.VerifiedHTTPSConnection objec t at 0x7fcf4c4b5b00>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution’,)’: /simple/pyopenssl/\nWARNING: Retrying (Retry(to tal=1, connect=None, read=None, redirect=None, status=None)) after connection br oken by ‘NewConnectionError(’<pip._vendor.urllib3.connection.VerifiedHTTPSConnec tion object at 0x7fcf4c4b5dd8>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution’,)’: /simple/pyopenssl/\nWARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after con nection broken by ‘NewConnectionError(’<pip._vendor.urllib3.connection.VerifiedH TTPSConnection object at 0x7fcf4c4b5320>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution’,)’: /simple/pyopenssl/\nERROR: Could not find a version that satisfies the requirement pyOpenSSL==16.2.0 (from versions: none)\nERROR: No matching distribution found for pyOpenSSL==16.2.0\n”
}

PLAY RECAP *********************************************************************
localhost : ok=4 changed=1 unreachable=0 failed=1 s kipped=0 rescued=0 ignored=0

Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Exception ignored in: <function WeakValueDictionary.init..remove at 0x7fe237522b70>
Traceback (most recent call last):
File “/usr/lib/python3.5/weakref.py”, line 117, in remove
TypeError: ‘NoneType’ object is not callable
Traceback (most recent call last):
File “install.py”, line 413, in
install_bench(args)
File “install.py”, line 135, in install_bench
run_playbook(‘site.yml’, sudo=True, extra_vars=extra_vars)
File “install.py”, line 327, in run_playbook
success = subprocess.check_call(args, cwd=os.path.join(cwd, ‘playbooks’))
File “/usr/lib/python2.7/subprocess.py”, line 186, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘[‘ansible-playbook’, ‘-c’, ‘local’, ‘sit e.yml’, ‘-vvvv’, ‘-e’, ‘@/tmp/extra_vars.json’, ‘–become’, ‘–become-user=sanat h’]’ returned non-zero exit status 2
root@vmi319960:~#

I use this cmd

python install.py --production --version 11 --python python2.7 --user xyz

Get me this error

“msg”: “\n:stderr: WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘NewConnectionError(’<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd0fc357630>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution’,)’: /simple/pyopenssl/\nWARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘NewConnectionError(’<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd0fc363b38>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution’,)’: /simple/pyopenssl/\nWARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘NewConnectionError(’<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd0fc363358>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution’,)’: /simple/pyopenssl/\nWARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘NewConnectionError(’<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd0fc363400>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution’,)’: /simple/pyopenssl/\nWARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘NewConnectionError(’<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd0fc3637f0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution’,)’: /simple/pyopenssl/\nERROR: Could not find a version that satisfies the requirement pyOpenSSL==16.2.0 (from versions: none)\nERROR: No matching distribution found for pyOpenSSL==16.2.0\n”
}

PLAY RECAP *********************************************************************
localhost : ok=4 changed=1 unreachable=0 failed=1 skipped=0 rescued=0 ignored=0

Traceback (most recent call last):
File “install.py”, line 413, in
install_bench(args)
File “install.py”, line 135, in install_bench
run_playbook(‘site.yml’, sudo=True, extra_vars=extra_vars)
File “install.py”, line 327, in run_playbook
success = subprocess.check_call(args, cwd=os.path.join(cwd, ‘playbooks’))
File “/usr/lib/python2.7/subprocess.py”, line 186, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘[‘ansible-playbook’, ‘-c’, ‘local’, ‘site.yml’, ‘-vvvv’, ‘-e’, ‘@/tmp/extra_vars.json’, ‘–become’, ‘–become-user=sanath’]’ returned non-zero exit status 2